/*****************************************************************************
 * VLCMediaLisAspect.h: VLC.framework VLCMediaLisAspect header
 *****************************************************************************
 * Copyright (C) 2007 Pierre d'Herbemont
 * Copyright (C) 2007 the VideoLAN team
 * $Id: 61aa978642c86ea6a9cc3c5a3d31b41d821a3659 $
 *
 * Authors: Pierre d'Herbemont <pdherbemont # videolan.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 *****************************************************************************/

#import "VLCMediaList.h"

@class VLCMedia;
@class VLCMediaList;

@interface VLCMediaListAspectNode : NSObject
{
    VLCMedia * media;
    VLCMediaListAspect * children;
}
@property (retain) VLCMedia * media;
@property (retain) VLCMediaListAspect * children;
- (BOOL)isLeaf;
@end

@interface VLCMediaListAspect : NSObject
{
    void * p_mlv;                //< Internal instance of media list view
    NSMutableArray * cachedNode;
    VLCMediaList * parentMediaList;
    BOOL ownHisMediaList;
}
- (VLCMedia *)mediaAtIndex:(int)index;
- (VLCMediaListAspectNode *)nodeAtIndex:(int)index;
- (int)count;

- (VLCMediaList *)parentMediaList;
@end
